LibreOffice: XUIConfigurationStorage Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XUIConfigurationStorage Interface Referencepublished

supplies functions to change or get information about the storage of a user interface configuration manager. More...

`import "XUIConfigurationStorage.idl";`

Inheritance diagram for XUIConfigurationStorage:

## Public Member Functions
void | setStorage ([in] ::com::sun::star::embed::XStorage Storage)
| connects a storage to the user interface configuration manager which is used on subsequent calls of load() and store().
boolean | hasStorage ()
| checks if an instance has already a storage to load/store its data.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

supplies functions to change or get information about the storage of a user interface configuration manager.

Since
  OOo 2.0

## Member Function Documentation

## ◆ hasStorage()

boolean hasStorage | ( |  | ) |

checks if an instance has already a storage to load/store its data.

Returns
  TRUE if the instance has a storage otherwise FALSE.

## ◆ setStorage()

void setStorage | ( | [in] ::com::sun::star::embed::XStorage | Storage | ) |

connects a storage to the user interface configuration manager which is used on subsequent calls of load() and store().

Parameters

  Storage | all configuration data is loaded/stored from/into this storage. If the storage is in read/write mode load() and store() can be used otherwise only load() is possible.

This call needs careful usage as data loss can occur. If the implementation has modified data and a new storage is set the implementation is not allowed to write back the data to the old storage. This must be done explicitly with store(). In general a user interface configuration manager instance is created and initialize by the document model or the module user interface configuration supplier. Normally there is no need to set a storage for a user interface configuration manager. If a copy of the configuration data to another storage should be made, use storeToStorage().

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfigurationStorage.idl